<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="6bfe3bf9-20c9-4b35-8238-8db85a3e770d" name="Default Changelist" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="HTML File" />
        <option value="Interface" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="GitSEFilterConfiguration">
    <file-type-list>
      <filtered-out-file-type name="LOCAL_BRANCH" />
      <filtered-out-file-type name="REMOTE_BRANCH" />
      <filtered-out-file-type name="TAG" />
      <filtered-out-file-type name="COMMIT_BY_MESSAGE" />
    </file-type-list>
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="localRepository" value="E:\ITLanguage\Java\repository" />
        <option name="userSettingsFile" value="E:\ITLanguage\Java\apache-maven-3.8.5\conf\settings.xml" />
      </MavenGeneralSettings>
    </option>
  </component>
  <component name="ProjectId" id="2Db0y1lm35viz7xLKwAKLy0GKRq" />
  <component name="ProjectViewState">
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="DatabaseDriversLRU" value="mysql" />
    <property name="DefaultHtmlFileTemplate" value="HTML File" />
    <property name="RequestMappingsPanelOrder0" value="0" />
    <property name="RequestMappingsPanelOrder1" value="1" />
    <property name="RequestMappingsPanelWidth0" value="75" />
    <property name="RequestMappingsPanelWidth1" value="75" />
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/src/main/resources/static/upload/img/product" />
    <property name="settings.editor.selected.configurable" value="MavenSettings" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="E:\ITLanguage\Java\Java-idea-workspace\travelF\src\main\resources\static\upload\img\product" />
      <recent name="E:\ITLanguage\Java\Java-idea-workspace\travelF\src\main\resources\static\upload" />
      <recent name="E:\ITLanguage\Java\Java-idea-workspace\travelF\src\main\resources\templates\backstage" />
      <recent name="E:\ITLanguage\Java\Java-idea-workspace\travelF\src\main\resources\com\wsk\travelf\mapper" />
      <recent name="E:\ITLanguage\Java\Java-idea-workspace\travelF\src\main\resources\static\backstage" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="E:\ITLanguage\Java\Java-idea-workspace\travelF\src\main\resources\static\upload\img\product" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.wsk.travelf.controller.backstage" />
      <recent name="com.wsk.travelf.mapper" />
    </key>
  </component>
  <component name="RunManager" selected="Spring Boot.TravelFApplication">
    <configuration default="true" type="ArquillianJUnit" factoryName="" nameIsGenerated="true">
      <option name="arquillianRunConfiguration">
        <value>
          <option name="containerStateName" value="" />
        </value>
      </option>
      <option name="TEST_OBJECT" value="class" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TestAdminMapper.testFindDesc" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="travelF" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.wsk.travelf.mapper.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.wsk.travelf.mapper" />
      <option name="MAIN_CLASS_NAME" value="com.wsk.travelf.mapper.TestAdminMapper" />
      <option name="METHOD_NAME" value="testFindDesc" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TestAdminMapper.testFindRoleWithStatus" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="travelF" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.wsk.travelf.mapper.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.wsk.travelf.mapper" />
      <option name="MAIN_CLASS_NAME" value="com.wsk.travelf.mapper.TestAdminMapper" />
      <option name="METHOD_NAME" value="testFindRoleWithStatus" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TestAdminMapper.testSelectPage" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="travelF" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.wsk.travelf.mapper.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.wsk.travelf.mapper" />
      <option name="MAIN_CLASS_NAME" value="com.wsk.travelf.mapper.TestAdminMapper" />
      <option name="METHOD_NAME" value="testSelectPage" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TestProductMapper.testFindPage" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="travelF" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.wsk.travelf.mapper.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.wsk.travelf.mapper" />
      <option name="MAIN_CLASS_NAME" value="com.wsk.travelf.mapper.TestProductMapper" />
      <option name="METHOD_NAME" value="testFindPage" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TravelFApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="travelF" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.wsk.travelf.TravelFApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.TestProductMapper.testFindPage" />
        <item itemvalue="JUnit.TestAdminMapper.testFindRoleWithStatus" />
        <item itemvalue="JUnit.TestAdminMapper.testFindDesc" />
        <item itemvalue="JUnit.TestAdminMapper.testSelectPage" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="6bfe3bf9-20c9-4b35-8238-8db85a3e770d" name="Default Changelist" comment="" />
      <created>1660952733300</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1660952733300</updated>
      <workItem from="1660952735113" duration="1125000" />
      <workItem from="1660993060995" duration="1119000" />
      <workItem from="1661035461988" duration="2913000" />
      <workItem from="1661092517552" duration="4491000" />
      <workItem from="1661097107568" duration="2066000" />
      <workItem from="1661148951630" duration="22230000" />
      <workItem from="1661210922616" duration="681000" />
      <workItem from="1661256346895" duration="6649000" />
      <workItem from="1661347348338" duration="3122000" />
      <workItem from="1661381919293" duration="2470000" />
      <workItem from="1661384627988" duration="28000" />
      <workItem from="1661426066533" duration="9257000" />
      <workItem from="1661471733160" duration="22031000" />
      <workItem from="1661555236337" duration="1974000" />
      <workItem from="1661604844864" duration="10986000" />
      <workItem from="1661641803801" duration="2402000" />
      <workItem from="1661688425053" duration="11541000" />
      <workItem from="1661776589237" duration="11368000" />
      <workItem from="1661812859018" duration="3729000" />
      <workItem from="1661858956335" duration="10079000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/test/java/com/wsk/travelf/mapper/TestProductMapper.java</url>
          <line>19</line>
          <option name="timeStamp" value="1" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
    <pin-to-top-manager>
      <pinned-members>
        <PinnedItemInfo parentTag="com.baomidou.mybatisplus.extension.plugins.pagination.Page" memberName="total" />
      </pinned-members>
    </pin-to-top-manager>
  </component>
</project>